// 上报模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-9-30

#ifndef OAM_REPORT_H
#define OAM_REPORT_H

#include "sysdef.h"

// 上报参数
#define ORDER_REPORT_HEART 0x0201 // 网络心跳
#define ORDER_REPORT_SYNC 0x0202  // 同步告警

// 上报结构
typedef struct
{
    uint8 bySync; // 同步告警
} SAVE_REPORT_T;

void oam_report_init();
void oam_report_heart(); // 心跳上报
void oam_report_resp_ok(uint16 wCommand, uint8 *pbyData);

void oam_report_query(uint16 wCommand, uint8 *pbyData); // 查询上报参数

#endif
